Description

I would like to extend the maximum number of characters for labels (table names) in the PostgreSQL Sardara database

(sardara_world on db-tuna.d4science.org)

As explained here: https://www.postgresql.org/docs/current/static/sql-syntax-lexical.html#SQL-SYNTAX-IDENTIFIERS

"The system uses no more than NAMEDATALEN-1 bytes of an identifier; longer names can be written in commands, but they will be

truncated. By default, NAMEDATALEN is 64 so the maximum identifier length is 63 bytes. If this limit is problematic, it can be raised

by changing the NAMEDATALEN constant in src/include/pg_config_manual.h."

Could you extend NAMEDATALEN to 100 ?

Thanks,

Paul

History

#1 - May 04, 2017 04:28 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Lucio Lelii

reassigning the ticket to Lucio who has more expertise in this type of tasks

#2 - May 10, 2017 10:22 AM - Paul Taconet

Hi Lucio,

Did you have the time to check this ticket?

Cheers,

#3 - May 10, 2017 02:40 PM - Lucio Lelii

- Assignee changed from Lucio Lelii to Massimiliano Assante

Sorry Paul but I know nothing about the sardara DB.

I'm reassigning the ticket to Massimiliano hoping he knows who is in charge of this db.

#4 - May 10, 2017 03:22 PM - Massimiliano Assante

- Status changed from New to In Progress

Well, i don't think that one should know the  sardara DB schema to do the job. If I understand correctly Paul is asking to increase the maximum

number of characters for labels (table names) in the PostgreSQL instance hosting this DB.

To do so, he suggested us to look at the NAMEDATALEN system conf:

"The system uses no more than NAMEDATALEN-1 bytes of an identifier; longer names can be written in commands, but they will be truncated. By

default, NAMEDATALEN is 64 so the maximum identifier length is 63 bytes. If this limit is problematic, it can be raised by changing the

NAMEDATALEN constant in src/include/pg_config_manual.h."

is changing the NAMEDATALEN constant in src/include/pg_config_manual.h. enough @paul.taconet@ird.fr ? 'cause the last time (more than 10

years ago actually) i looked into this things you had to recompile postgres for these changings (reason why I asked Lucio to look for this issue as he's

very skilled with postgres)

Anyway, Paul, you sure changing the property would suffice?

#5 - May 10, 2017 03:35 PM - Andrea Dell'Amico

Massimiliano Assante wrote:
https://www.postgresql.org/docs/current/static/sql-syntax-lexical.html#SQL-SYNTAX-IDENTIFIERS


Well, i don't think that one should know the  sardara DB schema to do the job. If I understand correctly Paul is asking to increase the maximum

number of characters for labels (table names) in the PostgreSQL instance hosting this DB.

To do so, he suggested us to look at the NAMEDATALEN system conf:

"The system uses no more than NAMEDATALEN-1 bytes of an identifier; longer names can be written in commands, but they will be truncated.

By default, NAMEDATALEN is 64 so the maximum identifier length is 63 bytes. If this limit is problematic, it can be raised by changing the

NAMEDATALEN constant in src/include/pg_config_manual.h."

is changing the NAMEDATALEN constant in src/include/pg_config_manual.h. enough @paul.taconet@ird.fr ? 'cause the last time (more than 10

years ago actually) i looked into this things you had to recompile postgres for these changings (reason why I asked Lucio to look for this issue as

he's very skilled with postgres)

Anyway, Paul, you sure changing the property would suffice?

 You have to change that value in the include file and then recompile. I don't think we can afford that, we should repackage postgres each time we

need to update to fix a security vulnerability.

#6 - May 10, 2017 03:36 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

So I was remembering well, unfortunately Paul. Sorry, we cannot support your request.
